/**
 * 用于抽象描述的属性、json、ref、set、map等内容
 */
import { IManagedInstance } from '@midwayjs/decorator';
import { IObjectDefinition } from '../interface';
import { ObjectProperties } from '../definitions/properties';
export declare class ManagedValue implements IManagedInstance {
    type: string;
    value: any;
    valueType: string;
    constructor(value?: any, valueType?: string);
}
export declare class ManagedReference implements IManagedInstance {
    type: string;
    name: string;
    args?: any;
}
export declare class ManagedJSON implements IManagedInstance {
    type: string;
    value: string;
}
export declare class ManagedList extends Array implements IManagedInstance {
    type: string;
}
export declare class ManagedSet extends Set implements IManagedInstance {
    type: string;
}
export declare class ManagedMap extends Map implements IManagedInstance {
    type: string;
}
export declare class ManagedProperties extends ObjectProperties implements IManagedInstance {
    type: string;
}
export declare class ManagedProperty implements IManagedInstance {
    type: string;
    name: string;
    value: any;
    valueType: string;
}
export declare class ManagedObject implements IManagedInstance {
    type: string;
    name: string;
    definition: IObjectDefinition;
}
//# sourceMappingURL=managed.d.ts.map