/// <reference types="node" />
import { IResource } from '../interface';
export declare class Resource implements IResource {
    private _baseDir;
    private _path;
    encoding: string;
    constructor(baseDir: string, path?: string);
    getPath(): string;
    exists(): boolean;
    isFile(): boolean;
    isDir(): boolean;
    isURL(): boolean;
    getURL(): any;
    /**
     * 如果是文件则获取当前文件夹路径
     * 如果是文件夹则直接作为路径
     * @param path 相对路径
     */
    createRelative(path: string): IResource;
    getSubResources(): IResource[];
    getContent(): Buffer;
    getContentAsJSON(): Record<string, unknown>;
    get name(): string;
    get contentLength(): number;
    get lastModified(): number;
}
//# sourceMappingURL=resource.d.ts.map