"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createMidwayLogger = void 0;
const logger_1 = require("@midwayjs/logger");
const interface_1 = require("./interface");
const util_1 = require("./util");
const path_1 = require("path");
const createMidwayLogger = (framework, name, options = {}) => {
    const isDevelopmentEnv = (0, util_1.isDevelopmentEnvironment)(framework.getCurrentEnvironment());
    const loggerOptions = {
        dir: (0, path_1.join)(framework.getApplicationContext().getInformationService().getRoot(), 'logs', framework.getProjectName()),
        level: isDevelopmentEnv ? 'info' : 'warn',
        fileLogName: 'midway-core.log',
    };
    if (process.env[interface_1.MIDWAY_LOGGER_WRITEABLE_DIR]) {
        loggerOptions.dir = (0, path_1.join)(process.env[interface_1.MIDWAY_LOGGER_WRITEABLE_DIR], 'logs', framework.getProjectName());
    }
    return (0, logger_1.createLogger)(name, Object.assign({}, loggerOptions, options));
};
exports.createMidwayLogger = createMidwayLogger;
//# sourceMappingURL=logger.js.map