export declare const isDevelopmentEnvironment: (env: any) => boolean;
export declare const getCurrentEnvironment: () => string;
export declare const safeRequire: (p: any, enabledCache?: boolean) => any;
/**
 *  safelyGet(['a','b'],{a: {b: 2}})  // => 2
 *  safelyGet(['a','b'],{c: {b: 2}})  // => undefined
 *  safelyGet(['a','1'],{a: {"1": 2}})  // => 2
 *  safelyGet(['a','1'],{a: {b: 2}})  // => undefined
 *  safelyGet('a.b',{a: {b: 2}})  // => 2
 *  safelyGet('a.b',{c: {b: 2}})  // => undefined
 */
export declare function safelyGet(list: string | string[], obj?: Record<string, unknown>): any;
/**
 * 剔除 @ 符号
 * @param provideId provideId
 */
export declare function parsePrefix(provideId: string): string;
export declare function getUserHome(): string;
export declare function joinURLPath(...strArray: any[]): string;
/**
 * 代理目标所有的原型方法，不包括构造器和内部隐藏方法
 * @param derivedCtor
 * @param constructors
 */
export declare function delegateTargetPrototypeMethod(derivedCtor: any, constructors: any[]): void;
/**
 * 代理目标原型上的特定方法
 * @param derivedCtor
 * @param methods
 */
export declare function delegateTargetMethod(derivedCtor: any, methods: string[]): void;
/**
 * 代理目标原型属性
 * @param derivedCtor
 * @param properties
 */
export declare function delegateTargetProperties(derivedCtor: any, properties: string[]): void;
//# sourceMappingURL=index.d.ts.map